RT-MIGRATE-TEST(8)

NAME

rt-migrate-test - Test to verify the RT threads scheduler balancing

SYNTAX

rt-migrate-test [-c|--check] [-l LOOPS] [-m TIME] [-s TIME] [-r TIME] [-p PRIO] nr_tasks

OPTIONS

-c, --check
    Check and stop the test run in case a lower priority task is quicker than a higher one (default is off).

-l, --loops=LOOPS
    Set the number of interations to run (default is 50).

-m, --maxerr=TIME
    Set the max allowed error (microsecs).

-s, --sleep-time=TIME
    Set the sleep time (ms) between intervals (default is 100).

-r, --run-time=TIME
    Set the run time (ms) to busy loop the threads (default is 20).

-p, --prio=PRIO
    Set the base priority to start RT tasks with (default is 2).

AUTHORS

rt-migrate-test was written by Steven Rostedt <srostedt@redhat.com>.

This manual page was written by Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>, for the Debian project (and may be used by others).